Subject: Re: Strange tg3 regression with UMP fw. link reporting

From: "Michael Chan" <[email-masked]>
Date: Fri, 08 Aug 2008 13:20:12 -0700

On Fri, 2008-08-08 at 15:05 -0700, Benjamin Herrenschmidt wrote:
> On Fri, 2008-08-08 at 11:43 -0700, Matt Carlson wrote:
> > We really shouldn't be displaying any error messages in the event of a
> > timeout though.  Earlier versions of the UMP firmware did not support
> > the link update interface.  The best thing the driver can do for all
> > cases is give the firmware a chance to service the event but continue
> > as if the event were serviced if it did not get an explicit ACK.
> 
> But that means that the driver will continuously spin 2.5ms every
> timer tick or so ? Or do I miss something ? Could it be possible to
> count timeouts and if after N attempts at an ack, they all timed out,
> disable the feature completely ?

Please see my other email.  Matt and I will fix it in a way to minimize
the spin as much as possible regardless of firmware version.

> 
> Or is there a way to test the version of the firmware ?
> 
> In any case, the fix should go into -stable as the problem is hurting
> 2.6.26. Also, should we consider updating the tg3 firmware on those
> machines ?
> 

Right, we'll take care of -stable as well.  Thanks.